### A free/open-source library for quantitative finance

ql/experimental/commodities/energyswap.hpp File Reference

Energy swap. More...

`#include <ql/experimental/commodities/energycommodity.hpp>`
`#include <ql/experimental/commodities/pricingperiod.hpp>`
`#include <ql/experimental/commodities/commoditycashflow.hpp>`
`#include <ql/time/calendar.hpp>`
Include dependency graph for energyswap.hpp:

## Detailed Description

Energy swap.